import { OnInit } from "@angular/core";
import { StiBarcodeElement } from "../../../../elements/StiBarcodeElement";
import { StiModelService } from "../../../../services/model.service";
import { StiBarcodeService } from "../../../../services/sti-barcode.service";
import * as i0 from "@angular/core";
export declare class StiBarcodeStylesPreviewComponent implements OnInit {
    barcodeService: StiBarcodeService;
    model: StiModelService;
    itemWidth: number;
    get items(): any[];
    get itemsInRows(): any[];
    get rows(): any[];
    get currentItem(): StiBarcodeElement;
    constructor(barcodeService: StiBarcodeService, model: StiModelService);
    selectStyle(index: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiBarcodeStylesPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiBarcodeStylesPreviewComponent, "sti-barcode-styles-preview", never, {}, {}, never, never, false, never>;
}
